digiKam Developer Documentation: Digikam::BackendOsmRG Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::BackendOsmRG Class Reference

This class calls Open Street Map's reverse geocoding service.

Inheritance diagram for Digikam::BackendOsmRG:

## Public Member Functions
| BackendOsmRG (QObject *const parent)
| Constructor.
| ~BackendOsmRG () override
| Destructor.
QString | backendName () override
void | callRGBackend (const QList< RGInfo > &rgList, const QString &language) override
| Takes the coordinate of each image and then connects to Open Street Map's reverse geocoding service.
void | cancelRequests () override
QString | getErrorMessage () override
QMap< QString, QString > | makeQMapFromXML (const QString &xmlData)
| The data is returned from Open Street Map in a XML.
Public Member Functions inherited from Digikam::RGBackend
| RGBackend (QObject *const parent)
| Constructor.

## Additional Inherited Members
Signals inherited from Digikam::RGBackend
void | signalRGReady (const QList< RGInfo > &)
| Emitted whenever some items are ready.

## Constructor & Destructor Documentation

## ◆ BackendOsmRG()

Digikam::BackendOsmRG::BackendOsmRG | ( | QObject *const | parent | ) |
| explicit

Parameters

  parent | the parent object.

## Member Function Documentation

## ◆ backendName()

QString Digikam::BackendOsmRG::backendName | ( |  | ) |
| overridevirtual

Returns
  Backend name.

Reimplemented from Digikam::RGBackend.

## ◆ callRGBackend()

void Digikam::BackendOsmRG::callRGBackend | ( | const QList< RGInfo > & | rgList,
|  | const QString & | language
| ) |  |
| overridevirtual

Parameters

  rgList | A list containing information needed in reverse geocoding process. At this point, it contains only coordinates.
  language | The language in which the data will be returned.

Implements Digikam::RGBackend.

## ◆ cancelRequests()

void Digikam::BackendOsmRG::cancelRequests | ( |  | ) |
| overridevirtual

Implements Digikam::RGBackend.

## ◆ getErrorMessage()

QString Digikam::BackendOsmRG::getErrorMessage | ( |  | ) |
| overridevirtual

Returns
  Error message, if any.

Reimplemented from Digikam::RGBackend.

## ◆ makeQMapFromXML()

QMap< QString, QString > Digikam::BackendOsmRG::makeQMapFromXML | ( | const QString & | xmlData | ) |

This function translates the XML into a QMap.

Parameters

  xmlData | The returned XML.